//
//      Legato Preprocess SDK
//	---------------------
//
//	This is a short version of Windows SDK items to be used with for resource editors.
//
//	Derived From Windows SDK - WinUser.h
//
//	Most of these styles are embedded within the Legato Resource Compiler.
//	This file can be included for use within third party resource editors.
//
//
//	Rev 08/28/2014
//
//	(c) 2014 Novaworks, LLC & Prime Software Group. 
//	Certain parts derived from Microsoft SDK.
//

// --------------------------------------------------------------------	Dialog and Window

							// Window Styles
				

#define WS_OVERLAPPED       		0x00000000L
#define WS_POPUP            		0x80000000L
#define WS_CHILD            		0x40000000L
#define WS_MINIMIZE         		0x20000000L
#define WS_VISIBLE          		0x10000000L
#define WS_DISABLED         		0x08000000L
#define WS_CLIPSIBLINGS     		0x04000000L
#define WS_CLIPCHILDREN     		0x02000000L
#define WS_MAXIMIZE         		0x01000000L
#define WS_CAPTION          		0x00C00000L
#define WS_BORDER           		0x00800000L
#define WS_DLGFRAME         		0x00400000L
#define WS_VSCROLL          		0x00200000L
#define WS_HSCROLL          		0x00100000L
#define WS_SYSMENU          		0x00080000L
#define WS_THICKFRAME       		0x00040000L
#define WS_GROUP            		0x00020000L
#define WS_TABSTOP          		0x00010000L
#define WS_MINIMIZEBOX      		0x00020000L
#define WS_MAXIMIZEBOX      		0x00010000L
#define WS_TILED            		WS_OVERLAPPED
#define WS_ICONIC           		WS_MINIMIZE
#define WS_SIZEBOX          		WS_THICKFRAME
#define WS_TILEDWINDOW      		WS_OVERLAPPEDWINDOW

							// Common Window Styles
#define WS_OVERLAPPEDWINDOW 		(WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME | WS_MINIMIZEBOX | WS_MAXIMIZEBOX)

#define WS_POPUPWINDOW      		(WS_POPUP | WS_BORDER | WS_SYSMENU)

#define WS_CHILDWINDOW      	(	WS_CHILD)

							// Extended Window Styles
#define WS_EX_DLGMODALFRAME     	0x00000001L
#define WS_EX_NOPARENTNOTIFY    	0x00000004L
#define WS_EX_TOPMOST           	0x00000008L
#define WS_EX_ACCEPTFILES       	0x00000010L
#define WS_EX_TRANSPARENT       	0x00000020L
#define WS_EX_MDICHILD          	0x00000040L
#define WS_EX_TOOLWINDOW        	0x00000080L
#define WS_EX_WINDOWEDGE        	0x00000100L
#define WS_EX_CLIENTEDGE        	0x00000200L
#define WS_EX_CONTEXTHELP       	0x00000400L

#define WS_EX_RIGHT             	0x00001000L
#define WS_EX_LEFT              	0x00000000L
#define WS_EX_RTLREADING        	0x00002000L
#define WS_EX_LTRREADING        	0x00000000L
#define WS_EX_LEFTSCROLLBAR     	0x00004000L
#define WS_EX_RIGHTSCROLLBAR    	0x00000000L

#define WS_EX_CONTROLPARENT     	0x00010000L
#define WS_EX_STATICEDGE        	0x00020000L
#define WS_EX_APPWINDOW         	0x00040000L

#define WS_EX_OVERLAPPEDWINDOW  	(WS_EX_WINDOWEDGE | WS_EX_CLIENTEDGE)
#define WS_EX_PALETTEWINDOW     	(WS_EX_WINDOWEDGE | WS_EX_TOOLWINDOW | WS_EX_TOPMOST)

#define WS_EX_LAYERED           	0x00080000

#define WS_EX_NOINHERITLAYOUT   	0x00100000L
#define WS_EX_LAYOUTRTL         	0x00400000L
#define WS_EX_COMPOSITED        	0x02000000L
#define WS_EX_NOACTIVATE        	0x08000000L

							// Dialog Styles
#define DS_ABSALIGN         		0x01L
#define DS_SYSMODAL         		0x02L
#define DS_LOCALEDIT        		0x20L   
#define DS_SETFONT          		0x40L   
#define DS_MODALFRAME       		0x80L   
#define DS_NOIDLEMSG        		0x100L 
#define DS_SETFOREGROUND    		0x200L
#define DS_3DLOOK           		0x0004L
#define DS_FIXEDSYS         		0x0008L
#define DS_NOFAILCREATE     		0x0010L
#define DS_CONTROL          		0x0400L
#define DS_CENTER           		0x0800L
#define DS_CENTERMOUSE      		0x1000L
#define DS_CONTEXTHELP      		0x2000L
#define DS_SHELLFONT        		(DS_SETFONT | DS_FIXEDSYS)
#define DS_USEPIXELS        		0x8000L

// ----------------------------------------------------	Controls

							// CommCtrl.h
#define ANIMATE_CLASS			"SysAnimate32"
#define DATETIMEPICK_CLASS		"SysDateTimePick32"
#define HOTKEY_CLASS			"msctls_hotkey32"
#define MONTHCAL_CLASS			"SysMonthCal32"
#define PROGRESS_CLASS			"msctls_progress32"
#define TOOLTIPS_CLASS			"tooltips_class32"
#define TRACKBAR_CLASS			"msctls_trackbar32"
#define UPDOWN_CLASS			"msctls_updown32"

							// WinUser.h
#define WC_HEADER              		"SysHeader32"
#define WC_LINK         		"SysLink"
#define WC_LISTVIEW			"SysListView32"
#define WC_TREEVIEW			"SysTreeView32"
#define WC_COMBOBOXEX			"ComboBoxEx32"
#define WC_TABCONTROL			"SysTabControl32"
#define WC_IPADDRESS			"SysIPAddress32"
#define WC_PAGESCROLLER			"SysPager"
#define WC_NATIVEFONTCTL		"NativeFontCtl"
#define WC_BUTTON			"Button"
#define WC_STATIC			"Static"
#define WC_EDIT				"Edit"
#define WC_LISTBOX			"ListBox"
#define WC_COMBOBOX			"ComboBox"
#define WC_SCROLLBAR			"ScrollBar"

							// Button Control Styles
#define BS_PUSHBUTTON       		0x00000000L
#define BS_DEFPUSHBUTTON    		0x00000001L
#define BS_CHECKBOX         		0x00000002L
#define BS_AUTOCHECKBOX     		0x00000003L
#define BS_RADIOBUTTON      		0x00000004L
#define BS_3STATE           		0x00000005L
#define BS_AUTO3STATE       		0x00000006L
#define BS_GROUPBOX         		0x00000007L
#define BS_USERBUTTON       		0x00000008L
#define BS_AUTORADIOBUTTON  		0x00000009L
#define BS_PUSHBOX          		0x0000000AL
#define BS_OWNERDRAW        		0x0000000BL
#define BS_TYPEMASK         		0x0000000FL
#define BS_LEFTTEXT         		0x00000020L
#define BS_TEXT             		0x00000000L
#define BS_ICON             		0x00000040L
#define BS_BITMAP           		0x00000080L
#define BS_LEFT             		0x00000100L
#define BS_RIGHT            		0x00000200L
#define BS_CENTER           		0x00000300L
#define BS_TOP              		0x00000400L
#define BS_BOTTOM           		0x00000800L
#define BS_VCENTER          		0x00000C00L
#define BS_PUSHLIKE         		0x00001000L
#define BS_MULTILINE        		0x00002000L
#define BS_NOTIFY           		0x00004000L
#define BS_FLAT             		0x00008000L
#define BS_RIGHTBUTTON      		BS_LEFTTEXT

							// Win 0x0600 Button Styles
#define BS_SPLITBUTTON          	0x0000000CL
#define BS_DEFSPLITBUTTON       	0x0000000DL
#define BS_COMMANDLINK          	0x0000000EL
#define BS_DEFCOMMANDLINK       	0x0000000FL


							// Combo Box styles
#define CBS_SIMPLE            		0x0001L
#define CBS_DROPDOWN          		0x0002L
#define CBS_DROPDOWNLIST      		0x0003L
#define CBS_OWNERDRAWFIXED    		0x0010L
#define CBS_OWNERDRAWVARIABLE 		0x0020L
#define CBS_AUTOHSCROLL       		0x0040L
#define CBS_OEMCONVERT        		0x0080L
#define CBS_SORT              		0x0100L
#define CBS_HASSTRINGS        		0x0200L
#define CBS_NOINTEGRALHEIGHT  		0x0400L
#define CBS_DISABLENOSCROLL   		0x0800L
#define CBS_UPPERCASE         		0x2000L
#define CBS_LOWERCASE         		0x4000L

							// Date Time Picl
#define DTS_UPDOWN          		0x0001
#define DTS_SHOWNONE        		0x0002
#define DTS_SHORTDATEFORMAT 		0x0000
#define DTS_LONGDATEFORMAT  		0x0004
#define DTS_SHORTDATECENTURYFORMAT 	0x000C
#define DTS_TIMEFORMAT      		0x0009
#define DTS_APPCANPARSE     		0x0010
#define DTS_RIGHTALIGN      		0x0020


							// Edit Control Styles
#define ES_LEFT             		0x0000L
#define ES_CENTER           		0x0001L
#define ES_RIGHT            		0x0002L
#define ES_MULTILINE        		0x0004L
#define ES_UPPERCASE        		0x0008L
#define ES_LOWERCASE        		0x0010L
#define ES_PASSWORD         		0x0020L
#define ES_AUTOVSCROLL      		0x0040L
#define ES_AUTOHSCROLL      		0x0080L
#define ES_NOHIDESEL        		0x0100L
#define ES_OEMCONVERT       		0x0400L
#define ES_READONLY         		0x0800L
#define ES_WANTRETURN       		0x1000L
#define ES_NUMBER           		0x2000L


							// Listbox Styles
#define LBS_NOTIFY            		0x0001L
#define LBS_SORT              		0x0002L
#define LBS_NOREDRAW          		0x0004L
#define LBS_MULTIPLESEL       		0x0008L
#define LBS_OWNERDRAWFIXED    		0x0010L
#define LBS_OWNERDRAWVARIABLE 		0x0020L
#define LBS_HASSTRINGS        		0x0040L
#define LBS_USETABSTOPS       		0x0080L
#define LBS_NOINTEGRALHEIGHT  		0x0100L
#define LBS_MULTICOLUMN       		0x0200L
#define LBS_WANTKEYBOARDINPUT 		0x0400L
#define LBS_EXTENDEDSEL       		0x0800L
#define LBS_DISABLENOSCROLL   		0x1000L
#define LBS_NODATA            		0x2000L
#define LBS_NOSEL             		0x4000L
#define LBS_COMBOBOX          		0x8000L
#define LBS_STANDARD          		(LBS_NOTIFY | LBS_SORT | WS_VSCROLL | WS_BORDER)


							// Scroll Bar Styles
#define SBS_HORZ                    	0x0000L
#define SBS_VERT                    	0x0001L
#define SBS_TOPALIGN                	0x0002L
#define SBS_LEFTALIGN               	0x0002L
#define SBS_BOTTOMALIGN             	0x0004L
#define SBS_RIGHTALIGN              	0x0004L
#define SBS_SIZEBOXTOPLEFTALIGN     	0x0002L
#define SBS_SIZEBOXBOTTOMRIGHTALIGN 	0x0004L
#define SBS_SIZEBOX                 	0x0008L
#define SBS_SIZEGRIP                	0x0010L


							// Static Control Constants
#define SS_LEFT             		0x00000000L
#define SS_CENTER           		0x00000001L
#define SS_RIGHT            		0x00000002L
#define SS_ICON             		0x00000003L
#define SS_BLACKRECT        		0x00000004L
#define SS_GRAYRECT         		0x00000005L
#define SS_WHITERECT        		0x00000006L
#define SS_BLACKFRAME       		0x00000007L
#define SS_GRAYFRAME        		0x00000008L
#define SS_WHITEFRAME       		0x00000009L
#define SS_USERITEM         		0x0000000AL
#define SS_SIMPLE           		0x0000000BL
#define SS_LEFTNOWORDWRAP   		0x0000000CL
#define SS_OWNERDRAW        		0x0000000DL
#define SS_BITMAP           		0x0000000EL
#define SS_ENHMETAFILE      		0x0000000FL
#define SS_ETCHEDHORZ       		0x00000010L
#define SS_ETCHEDVERT       		0x00000011L
#define SS_ETCHEDFRAME      		0x00000012L
#define SS_TYPEMASK         		0x0000001FL
#define SS_REALSIZECONTROL  		0x00000040L
#define SS_NOPREFIX         		0x00000080L
#define SS_NOTIFY           		0x00000100L
#define SS_CENTERIMAGE      		0x00000200L
#define SS_RIGHTJUST        		0x00000400L
#define SS_REALSIZEIMAGE    		0x00000800L
#define SS_SUNKEN           		0x00001000L
#define SS_EDITCONTROL      		0x00002000L
#define SS_ENDELLIPSIS      		0x00004000L
#define SS_PATHELLIPSIS     		0x00008000L
#define SS_WORDELLIPSIS     		0x0000C000L
#define SS_ELLIPSISMASK     		0x0000C000L


// ----------------------------------------------------	Menus

							// Menu flags 

#define MF_INSERT           		0x00000000L
#define MF_CHANGE           		0x00000080L
#define MF_APPEND           		0x00000100L
#define MF_DELETE           		0x00000200L
#define MF_REMOVE           		0x00001000L
                            	
#define MF_BYCOMMAND        		0x00000000L
#define MF_BYPOSITION       		0x00000400L
                            	
#define MF_SEPARATOR        		0x00000800L
                            	
#define MF_ENABLED          		0x00000000L
#define MF_GRAYED           		0x00000001L
#define MF_DISABLED         		0x00000002L
                            	
#define MF_UNCHECKED        		0x00000000L
#define MF_CHECKED          		0x00000008L
#define MF_USECHECKBITMAPS  		0x00000200L
                            	
#define MF_STRING           		0x00000000L
#define MF_BITMAP           		0x00000004L
#define MF_OWNERDRAW        		0x00000100L
                            	
#define MF_POPUP            		0x00000010L
#define MF_MENUBARBREAK     		0x00000020L
#define MF_MENUBREAK        		0x00000040L
                            	
#define MF_UNHILITE         		0x00000000L
#define MF_HILITE           		0x00000080L
                            		
#define MF_DEFAULT          		0x00001000L
#define MF_SYSMENU          		0x00002000L
#define MF_HELP             		0x00004000L
#define MF_RIGHTJUSTIFY     		0x00004000L
                            		
#define MF_MOUSESELECT      		0x00008000L
#define MF_END              		0x00000080L
                            		
#define MFT_STRING          		MF_STRING
#define MFT_BITMAP          		MF_BITMAP
#define MFT_MENUBARBREAK    		MF_MENUBARBREAK
#define MFT_MENUBREAK       		MF_MENUBREAK
#define MFT_OWNERDRAW       		MF_OWNERDRAW
#define MFT_RADIOCHECK      		0x00000200L
#define MFT_SEPARATOR       		MF_SEPARATOR
#define MFT_RIGHTORDER      		0x00002000L
#define MFT_RIGHTJUSTIFY    		MF_RIGHTJUSTIFY
                            		
#define MFS_GRAYED          		0x00000003L
#define MFS_DISABLED        		MFS_GRAYED
#define MFS_CHECKED         		MF_CHECKED
#define MFS_HILITE          		MF_HILITE
#define MFS_ENABLED         		MF_ENABLED
#define MFS_UNCHECKED       		MF_UNCHECKED
#define MFS_UNHILITE        		MF_UNHILITE
#define MFS_DEFAULT         		MF_DEFAULT


							// Common Dialog IDs

#define IDOK                		 1
#define IDCANCEL            		 2
#define IDABORT             		 3
#define IDRETRY             		 4
#define IDIGNORE            		 5
#define IDYES              		 6
#define IDNO                		 7
#define IDCLOSE         		 8
#define IDHELP          		 9
#define IDTRYAGAIN      		10
#define IDCONTINUE      		11

